#### Linux From Scratch - Version 7.10

### Chapter 6. Installing Basic System Software

- Prev

  Libtool-2.4.6

- Next

  Gperf-3.0.4

- Up
- Home

# 6.36. GDBM-1.12

The GDBM package contains the GNU Database Manager. It is a library of database functions that use extensible hashing and work similar to the standard UNIX dbm. The library provides primitives for storing key/data pairs, searching and retrieving the data by its key and deleting a key along with its data.

Approximate build time: 0.1 SBU
Required disk space: 8.8 MB

## 6.36.1. Installation of GDBM

Prepare GDBM for compilation:

    ./configure --prefix=/usr \
                --disable-static \
                --enable-libgdbm-compat

The meaning of the configure option:

`--enable-libgdbm-compat`

  This switch enables the libgdbm compatibility library to be built, as some packages outside of LFS may require the older DBM routines it provides.

Compile the package:

    make

To test the results, issue:

    make check

Install the package:

    make install

## 6.36.2. Contents of GDBM

Installed programs: gdbm_dump, gdbm_load, and gdbmtool
Installed libraries: libgdbm.so and libgdbm_compat.so

### Short Descriptions

gdbm_dump | Dumps a GDBM database to a file
gdbm_load | Recreates a GDBM database from a dump file
gdbmtool | Tests and modifies a GDBM database
`libgdbm` | Contains functions to manipulate a hashed database
`libgdbm_compat` | Compatibility library containing older DBM functions

- Prev

  Libtool-2.4.6

- Next

  Gperf-3.0.4

- Up
- Home